# Built-in Functions

<table><thead><tr><th width="161">Function Name</th><th>Description</th></tr></thead><tbody><tr><td>abs</td><td>Returns the absolute value of a number. The absolute value of a number is the number without its sign.</td></tr><tr><td>sqrt</td><td>Returns the square root of a positive number.</td></tr><tr><td>pow</td><td>Returns a number raised to a power. Takes two arguments: the base number and the exponent.</td></tr><tr><td>exp</td><td>Returns "e" raised to the power of a number. Takes one argument, the exponent.</td></tr><tr><td>log</td><td>Returns the logarithm of a number to the specified base. Takes two arguments: the number and the base. The default base is 10.</td></tr><tr><td>ln</td><td>Returns the natural logarithm of a number. Takes one argument, the number.</td></tr><tr><td>round</td><td>Rounds a number to the nearest integer.</td></tr><tr><td>floor</td><td>Rounds a number down to the nearest multiple of a significance value. Takes two arguments: the number and the significance.</td></tr><tr><td>ceil</td><td>Rounds a number up to the nearest multiple of a significance value. Takes two arguments: the number and the significance.</td></tr><tr><td>sin</td><td>Returns the sine of an angle. Takes one argument: the angle in radians</td></tr><tr><td>cos</td><td>Returns the cosine of an angle. Takes one argument - the angle in radians.</td></tr><tr><td>tan</td><td>Returns the tangent of an angle. Takes one argument - the angle in radians.</td></tr><tr><td>asin</td><td>Returns the inverse sine of a number. Takes one argument - the number</td></tr><tr><td>acos</td><td>Returns the inverse cosine of a number. Takes one argument - the number.</td></tr><tr><td>atan</td><td>Returns the inverse tangent of a number. Takes one argument - the number.</td></tr><tr><td>atan2</td><td>Returns the inverse tangent of x and y coordinates. Takes two arguments: x and y values.</td></tr><tr><td>sum</td><td>Adds values. It can take a range of cells or multiple arguments of values to add.</td></tr><tr><td>max</td><td>Returns the maximum value from a range of values. Takes one or more arguments of values.</td></tr><tr><td>min</td><td>Returns the minimum value from a range of values. Takes one or more arguments of values.</td></tr><tr><td>if</td><td><p>The "IF" function is used to test a condition and return one value if the condition is met and another value if the condition is not met.</p><p>The syntax is:</p><p>=if(logical_test, value_if_true, value_if_false)</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enji.io/intro/learn-enji.io/built-in-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
